#!/bin/bash

javac TestGen.java

echo "Generating tests"
java TestGen

cp ../abbaa_pk.java .

cp 01.h 01

echo "Compiling solution"
javac abbaa_pk.java

echo "Generating answers"
for i in ??
do
	echo -ne "[$i]"
	cp $i abbaa.in
	java abbaa_pk 2>/dev/null
	mv abbaa.out $i.a
done
